org.apache.hadoop.mapred.join

## Class TupleWritable

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.join.TupleWritable
  - - org.apache.hadoop.mapred.join.TupleWritable

- All Implemented Interfaces:
    Iterable<org.apache.hadoop.io.Writable>, org.apache.hadoop.io.Writable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class TupleWritable
      extends TupleWritable

  Writable type storing multiple `Writable`s. This is *not* a general-purpose tuple type. In almost all cases, users are encouraged to implement their own serializable types, which can perform better validation and provide more efficient encodings than this class is capable. TupleWritable relies on the join framework for type safety and assumes its instances will rarely be persisted, assumptions not only incompatible with, but contrary to the general case.
  See Also:
    `Writable`

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.join.TupleWritable

      `written`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleWritable()` Create an empty tuple with no allocated storage for writables.
    `TupleWritable(org.apache.hadoop.io.Writable[] vals)` Initialize tuple with storage; unknown whether any of them contain "written" values.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.TupleWritable

      `equals, get, has, hashCode, iterator, readFields, size, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TupleWritable

          public TupleWritable()

      Create an empty tuple with no allocated storage for writables.

    - #### TupleWritable

          public TupleWritable(org.apache.hadoop.io.Writable[] vals)

      Initialize tuple with storage; unknown whether any of them contain "written" values.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.